Bug 1421208 - Tracker bug -- 7.3.3 respin of sssd-docker
Summary: Tracker bug -- 7.3.3 respin of sssd-docker
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd-container
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: SSSD Maintainers
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 15:45 UTC by Lukas Slebodnik
Modified: 2017-03-02 20:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-02 20:09:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0427 0 normal SHIPPED_LIVE Red Hat Enterprise Linux Atomic SSSD Container Image Update 2017-03-03 01:27:35 UTC

Description Lukas Slebodnik 2017-02-10 15:45:03 UTC
Tracking rebuild of sssd-docker.

Comment 2 Niranjan Mallapadi Raghavender 2017-02-21 13:27:04 UTC
Versions:
=========

Host version = State: idle
Deployments:
● rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
       Version: 7.3.3 (2017-02-20 08:16:19)
    BaseCommit: ae15dd3fc917e6147f72e0e209cc0864faaf3df1efe1b0ac9d55c8ee5c6fb8d4
        Commit: 5595142566905322705634f997ef5cb590e49608fa58c99d9466b69fc57827bf
        OSName: rhel-atomic-host
      Packages: expect

  rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
       Version: 7.3.2 (2017-02-20 06:24:49)
    BaseCommit: 96826a0d917d7ff10f9fd0289581649f2ffbddd76f3b80efd3d95cc11915cacb
        Commit: 2a1ca12682d663040e8a0529344da589e26a2d605867964a152e3b02ccb4a456
        OSName: rhel-atomic-host
      Packages: expect


Test case:1
On atomic host discover windows Domain using realm cli from sssd container:

<snip>
2017-02-21 17:39:31,466 - sssd.testlib.common.qe_class.QeWinHost.srv1.ParamikoTransport - INFO - RUN ['domainname']
2017-02-21 17:39:31,467 - sssd.testlib.common.qe_class.QeWinHost.srv1.cmd7 - DEBUG - RUN ['domainname']
2017-02-21 17:39:31,549 - sssd.testlib.common.qe_class.QeWinHost.srv1.cmd7 - DEBUG - CENTAUR.TEST
2017-02-21 17:39:31,551 - sssd.testlib.common.qe_class.QeWinHost.srv1.cmd7 - DEBUG - TERM environment variable not set.
2017-02-21 17:39:31,554 - sssd.testlib.common.qe_class.QeWinHost.srv1.cmd7 - DEBUG - Exit code: 0
2017-02-21 17:39:31,555 - sssd.testlib.common.qe_class.QeHost.atomic-00.ParamikoTransport - INFO - RUN ['atomic', 'install', 'rhel7/sssd', 'realm', '-v', 'discover', 'CENTAUR.TEST']
2017-02-21 17:39:31,555 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG - RUN ['atomic', 'install', 'rhel7/sssd', 'realm', '-v', 'discover', 'CENTAUR.TEST']
2017-02-21 17:39:31,599 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG - -bash: line 2: /root/multihost_tests/env.sh: No such file or directory
2017-02-21 17:39:34,269 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG - Initializing configuration context from host ...
2017-02-21 17:39:35,999 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG -  * Resolving: _ldap._tcp.centaur.test
2017-02-21 17:39:36,015 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG -  * Performing LDAP DSE lookup on: 192.168.122.187
2017-02-21 17:39:36,023 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG - CENTAUR.TEST
2017-02-21 17:39:36,023 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG -  * Successfully discovered: CENTAUR.TEST
2017-02-21 17:39:36,023 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG -   type: kerberos
2017-02-21 17:39:36,024 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG -   realm-name: CENTAUR.TEST
2017-02-21 17:39:36,024 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG -   domain-name: CENTAUR.TEST
2017-02-21 17:39:36,024 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG -   configured: no
2017-02-21 17:39:36,024 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG -   server-software: active-directory
2017-02-21 17:39:36,024 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG -   client-software: sssd
2017-02-21 17:39:36,024 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG -   required-package: oddjob
2017-02-21 17:39:36,024 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG -   required-package: oddjob-mkhomedir
2017-02-21 17:39:36,024 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG -   required-package: sssd
2017-02-21 17:39:36,024 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG -   required-package: adcli
2017-02-21 17:39:36,024 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG -   required-package: samba-common-tools
2017-02-21 17:39:36,024 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG - centaur.test
2017-02-21 17:39:36,024 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG -   type: kerberos
2017-02-21 17:39:36,024 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG -   realm-name: CENTAUR.TEST
2017-02-21 17:39:36,024 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG -   domain-name: centaur.test
2017-02-21 17:39:36,024 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG -   configured: no
2017-02-21 17:39:36,034 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG - Copying new configuration to host ...
2017-02-21 17:39:36,214 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG - Full path required for exclude: net:[4026531956].
2017-02-21 17:39:36,400 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG - Service sssd.service configured to run SSSD container.
2017-02-21 17:39:37,558 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG - docker run --rm=true --privileged --net=host -v /:/host -e NAME=sssd -e IMAGE=rhel7/sssd -e HOST=/host rhel7/sssd /bin/install.sh realm -v discover CENTAUR.TEST
2017-02-21 17:39:37,575 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd4 - DEBUG - Exit code: 0

</snip>

Test case-2:
Join Atomic host to Windows AD Domain using realm cli from sssd container

test_realm.py::Test_SSSD_Container::test_positive_realm_join_with_membership_software_samba 2017-02-21 17:39:37,580 - sssd.testlib.common.qe_class.QeWinHost.srv1.ParamikoTransport - INFO - RUN ['domainname']
2017-02-21 17:39:37,580 - sssd.testlib.common.qe_class.QeWinHost.srv1.cmd8 - DEBUG - RUN ['domainname']
2017-02-21 17:39:37,689 - sssd.testlib.common.qe_class.QeWinHost.srv1.cmd8 - DEBUG - CENTAUR.TEST
2017-02-21 17:39:37,692 - sssd.testlib.common.qe_class.QeWinHost.srv1.cmd8 - DEBUG - TERM environment variable not set.
2017-02-21 17:39:37,694 - sssd.testlib.common.qe_class.QeWinHost.srv1.cmd8 - DEBUG - Exit code: 0
2017-02-21 17:39:37,696 - sssd.testlib.common.qe_class.QeHost.atomic-00.ParamikoTransport - INFO - RUN ['atomic', 'install', 'rhel7/sssd', 'realm', 'join', '-v', '--membership-software=samba', 'CENTAUR.TEST']
2017-02-21 17:39:37,696 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG - RUN ['atomic', 'install', 'rhel7/sssd', 'realm', 'join', '-v', '--membership-software=samba', 'CENTAUR.TEST']
2017-02-21 17:39:39,213 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG - Initializing configuration context from host ...
2017-02-21 17:39:40,592 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG -  * Resolving: _ldap._tcp.centaur.test
2017-02-21 17:39:40,602 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG -  * Performing LDAP DSE lookup on: 192.168.122.27
2017-02-21 17:39:40,611 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG -  * Successfully discovered: CENTAUR.TEST
2017-02-21 17:39:40,616 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG -  * Required files: /usr/sbin/oddjobd, /usr/libexec/oddjob/mkhomedir, /usr/sbin/sssd, /usr/bin/net
2017-02-21 17:39:40,616 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG -  * LANG=C LOGNAME=root /usr/bin/net -s /var/cache/realmd/realmd-smb-conf.W8XTVY -U Administrator ads join CENTAUR.TEST
2017-02-21 17:39:42,675 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG - Enter Administrator's password:DNS update failed: NT_STATUS_UNSUCCESSFUL
2017-02-21 17:39:42,712 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG -
2017-02-21 17:39:42,712 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG - Using short domain name -- CENTAUR
2017-02-21 17:39:42,712 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG - Joined 'ATOMIC-00' to dns domain 'CENTAUR.TEST'
2017-02-21 17:39:42,712 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG - DNS Update for atomic-00.localdomain failed: ERROR_DNS_UPDATE_FAILED
2017-02-21 17:39:42,712 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG -  * LANG=C LOGNAME=root /usr/bin/net -s /var/cache/realmd/realmd-smb-conf.W8XTVY -U Administrator ads keytab create
2017-02-21 17:39:44,328 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG - Enter Administrator's password:
2017-02-21 17:39:44,385 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG -  * /usr/bin/systemctl enable sssd.service
2017-02-21 17:39:44,421 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG -  * /usr/bin/systemctl restart sssd.service
2017-02-21 17:39:44,670 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG -  * /usr/bin/sh -c /usr/sbin/authconfig --update --enablesssd --enablesssdauth --enablemkhomedir --nostart && /usr/bin/systemctl enable oddjobd.service && /usr/bin/systemctl start oddjobd.service
2017-02-21 17:39:45,629 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG - Password for Administrator:
2017-02-21 17:39:45,629 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG - Copying new configuration to host ...
2017-02-21 17:39:45,629 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG -  * Successfully enrolled machine in realm
2017-02-21 17:39:45,834 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG - Full path required for exclude: net:[4026531956].
2017-02-21 17:39:45,907 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG - Service sssd.service configured to run SSSD container.
2017-02-21 17:39:46,394 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG - docker run --rm=true --privileged --net=host -v /:/host -e NAME=sssd -e IMAGE=rhel7/sssd -e HOST=/host rhel7/sssd /bin/install.sh realm join -v --membership-software=samba CENTAUR.TEST
2017-02-21 17:39:46,411 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd5 - DEBUG - Exit code: 0
2017-02-21 17:39:46,415 - sssd.testlib.common.qe_class.QeHost.atomic-00.ParamikoTransport - INFO - RUN ['systemctl', 'start', 'sssd']
2017-02-21 17:39:46,415 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd6 - DEBUG - RUN ['systemctl', 'start', 'sssd']
2017-02-21 17:39:47,946 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd6 - DEBUG - Exit code: 0
2017-02-21 17:39:47,950 - sssd.testlib.common.qe_class.QeHost.atomic-00.ParamikoTransport - INFO - RUN ['atomic', 'uninstall', 'rhel7/sssd', 'realm', 'leave', '-v', 'CENTAUR.TEST']
2017-02-21 17:39:47,950 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG - RUN ['atomic', 'uninstall', 'rhel7/sssd', 'realm', 'leave', '-v', 'CENTAUR.TEST']
2017-02-21 17:39:47,993 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG - -bash: line 2: /root/multihost_tests/env.sh: No such file or directory
2017-02-21 17:39:50,091 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG - Initializing configuration context from host ...
2017-02-21 17:39:50,153 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG - Warning: Failed to copy /etc/yp.conf to host. It cannot be a directory
2017-02-21 17:39:51,429 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG -  * Removing entries from keytab for realm
2017-02-21 17:39:51,658 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG -  * /usr/sbin/sss_cache --users --groups --netgroups --services --autofs-maps
2017-02-21 17:39:51,705 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG -  * Removing domain configuration from sssd.conf
2017-02-21 17:39:51,734 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG -  * /usr/sbin/authconfig --update --disablesssdauth --nostart
2017-02-21 17:39:52,186 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG -  * /usr/bin/systemctl disable sssd.service
2017-02-21 17:39:52,196 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG -  * Successfully unenrolled machine from realm
2017-02-21 17:39:52,199 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG - Copying new configuration to host ...
2017-02-21 17:39:52,217 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG - Removing /etc/krb5.keytab
2017-02-21 17:39:52,261 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG - Removing /etc/sssd/systemctl-lite-enabled/sssd.service
2017-02-21 17:39:52,272 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG - Removing /etc/yp.conf
2017-02-21 17:39:52,296 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG - Removing /var/lib/sss/pipes/private/sbus-dp_CENTAUR.TEST.66
2017-02-21 17:39:52,312 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG - Removing /var/lib/sss/pipes/private/sbus-monitor
2017-02-21 17:39:52,312 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG - Removing /var/lib/sss/pipes/private/sbus-dp_CENTAUR.TEST.13
2017-02-21 17:39:52,312 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG - Removing /var/lib/sss/pipes/private/sbus-dp_CENTAUR.TEST
2017-02-21 17:39:52,312 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG - Removing /var/lib/sss/pipes/private/pam
2017-02-21 17:39:52,312 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG - Removing /var/lib/sss/mc/passwd
2017-02-21 17:39:52,312 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG - Removing /var/lib/sss/mc/group
2017-02-21 17:39:52,312 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG - Removing /var/lib/sss/mc/initgroups
2017-02-21 17:39:52,850 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG - docker run --rm=true --privileged --net=host -v /:/host -e NAME=sssd -e IMAGE=rhel7/sssd -e HOST=/host rhel7/sssd /bin/uninstall.sh realm leave -v CENTAUR.TEST
2017-02-21 17:39:52,867 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd7 - DEBUG - Exit code: 0

</snip>


Test case-3: Verify sssd process type is spc_t

<snip>
2017-02-21 18:33:47,494 - sssd.testlib.common.qe_class.QeHost.atomic-00.ParamikoTransport - INFO - RUN ['atomic', 'install', 'rhel7/sssd', 'realm', 'join', '-v', '--membership-software=samba', 'CENTAUR.TEST']
2017-02-21 18:33:47,494 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG - RUN ['atomic', 'install', 'rhel7/sssd', 'realm', 'join', '-v', '--membership-software=samba', 'CENTAUR.TEST']
2017-02-21 18:33:49,047 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG - Initializing configuration context from host ...
2017-02-21 18:33:50,409 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG -  * Resolving: _ldap._tcp.centaur.test
2017-02-21 18:33:50,421 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG -  * Performing LDAP DSE lookup on: 192.168.122.27
2017-02-21 18:33:50,430 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG -  * Successfully discovered: CENTAUR.TEST
2017-02-21 18:33:50,444 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG -  * Required files: /usr/sbin/oddjobd, /usr/libexec/oddjob/mkhomedir, /usr/sbin/sssd, /usr/bin/net
2017-02-21 18:33:50,445 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG -  * LANG=C LOGNAME=root /usr/bin/net -s /var/cache/realmd/realmd-smb-conf.3QPPVY -U Administrator ads join CENTAUR.TEST
2017-02-21 18:33:52,099 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG - Enter Administrator's password:DNS update failed: NT_STATUS_UNSUCCESSFUL
2017-02-21 18:33:52,117 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG -
2017-02-21 18:33:52,117 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG - Using short domain name -- CENTAUR
2017-02-21 18:33:52,117 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG - Joined 'ATOMIC-00' to dns domain 'CENTAUR.TEST'
2017-02-21 18:33:52,117 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG - DNS Update for atomic-00.localdomain failed: ERROR_DNS_UPDATE_FAILED
2017-02-21 18:33:52,117 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG -  * LANG=C LOGNAME=root /usr/bin/net -s /var/cache/realmd/realmd-smb-conf.3QPPVY -U Administrator ads keytab create
2017-02-21 18:33:53,723 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG - Enter Administrator's password:
2017-02-21 18:33:53,789 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG -  * /usr/bin/systemctl enable sssd.service
2017-02-21 18:33:53,841 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG -  * /usr/bin/systemctl restart sssd.service
2017-02-21 18:33:54,131 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG -  * /usr/bin/sh -c /usr/sbin/authconfig --update --enablesssd --enablesssdauth --enablemkhomedir --nostart && /usr/bin/systemctl enable oddjobd.service && /usr/bin/systemctl start oddjobd.service
2017-02-21 18:33:55,022 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG - Password for Administrator:
2017-02-21 18:33:55,023 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG -  * Successfully enrolled machine in realm
2017-02-21 18:33:55,029 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG - Copying new configuration to host ...
2017-02-21 18:33:55,131 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG - Full path required for exclude: net:[4026531956].
2017-02-21 18:33:55,854 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG - Service sssd.service configured to run SSSD container.
2017-02-21 18:33:56,357 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG - docker run --rm=true --privileged --net=host -v /:/host -e NAME=sssd -e IMAGE=rhel7/sssd -e HOST=/host rhel7/sssd /bin/install.sh realm join -v --membership-software=samba CENTAUR.TEST
2017-02-21 18:33:56,374 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd8 - DEBUG - Exit code: 0
2017-02-21 18:33:56,378 - sssd.testlib.common.qe_class.QeHost.atomic-00.ParamikoTransport - INFO - RUN ['systemctl', 'start', 'sssd']
2017-02-21 18:33:56,378 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd9 - DEBUG - RUN ['systemctl', 'start', 'sssd']
2017-02-21 18:33:56,421 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd9 - DEBUG - -bash: line 2: /root/multihost_tests/env.sh: No such file or directory
        2017-02-21 18:33:57,972 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd9 - DEBUG - Exit code: 0
2017-02-21 18:34:07,984 - sssd.testlib.common.qe_class.QeHost.atomic-00.ParamikoTransport - INFO - RUN ['pidof', 'sssd']
2017-02-21 18:34:07,984 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd10 - DEBUG - RUN ['pidof', 'sssd']
2017-02-21 18:34:08,028 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd10 - DEBUG - -bash: line 2: /root/multihost_tests/env.sh: No such file or directory
2017-02-21 18:34:08,031 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd10 - DEBUG - 21760
2017-02-21 18:34:08,032 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd10 - DEBUG - Exit code: 0
2017-02-21 18:34:08,096 - sssd.testlib.common.qe_class.QeHost.atomic-00.ParamikoTransport - INFO - RUN ['ps', '-Z', '--pid', '21760']
2017-02-21 18:34:08,096 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd11 - DEBUG - RUN ['ps', '-Z', '--pid', '21760']
2017-02-21 18:34:08,139 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd11 - DEBUG - -bash: line 2: /root/multihost_tests/env.sh: No such file or directory
2017-02-21 18:34:08,144 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd11 - DEBUG - LABEL                              PID TTY          TIME CMD
2017-02-21 18:34:08,144 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd11 - DEBUG - system_u:system_r:unconfined_service_t:s0 21760 ? 00:00:00 sssd
2017-02-21 18:34:08,144 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd11 - DEBUG - Exit code: 0

</snip>

Test case-4: Verify AD users can be queried successfully using id command on Atomic host

<snip>

2017-02-21 18:34:13,919 - sssd.testlib.common.qe_class.QeHost.atomic-00.ParamikoTransport - INFO - RUN ['atomic', 'install', 'rhel7/sssd', 'realm', 'join', '-v', '--membership-software=samba', 'CENTAUR.TEST']
2017-02-21 18:34:13,919 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG - RUN ['atomic', 'install', 'rhel7/sssd', 'realm', 'join', '-v', '--membership-software=samba', 'CENTAUR.TEST']
2017-02-21 18:34:15,446 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG - Initializing configuration context from host ...
2017-02-21 18:34:16,777 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG -  * Resolving: _ldap._tcp.centaur.test
2017-02-21 18:34:16,794 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG -  * Performing LDAP DSE lookup on: 192.168.122.27
2017-02-21 18:34:16,805 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG -  * Successfully discovered: CENTAUR.TEST
2017-02-21 18:34:16,814 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG -  * Required files: /usr/sbin/oddjobd, /usr/libexec/oddjob/mkhomedir, /usr/sbin/sssd, /usr/bin/net
2017-02-21 18:34:16,814 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG -  * LANG=C LOGNAME=root /usr/bin/net -s /var/cache/realmd/realmd-smb-conf.9NNMVY -U Administrator ads join CENTAUR.TEST
2017-02-21 18:34:18,955 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG - Enter Administrator's password:kerberos_kinit_password ATOMIC-00$@CENTAUR.TEST failed: Preauthentication failed
2017-02-21 18:34:18,956 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG - DNS update failed: kinit failed: Preauthentication failed
2017-02-21 18:34:19,008 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG -
2017-02-21 18:34:19,008 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG - Using short domain name -- CENTAUR
2017-02-21 18:34:19,008 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG - Joined 'ATOMIC-00' to dns domain 'CENTAUR.TEST'
2017-02-21 18:34:19,008 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG -  * LANG=C LOGNAME=root /usr/bin/net -s /var/cache/realmd/realmd-smb-conf.9NNMVY -U Administrator ads keytab create
2017-02-21 18:34:20,955 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG - Enter Administrator's password:
2017-02-21 18:34:21,008 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG -  * /usr/bin/systemctl enable sssd.service
2017-02-21 18:34:21,052 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG -  * /usr/bin/systemctl restart sssd.service
2017-02-21 18:34:21,295 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG -  * /usr/bin/sh -c /usr/sbin/authconfig --update --enablesssd --enablesssdauth --enablemkhomedir --nostart && /usr/bin/systemctl enable oddjobd.service && /usr/bin/systemctl start oddjobd.service
2017-02-21 18:34:22,211 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG - Password for Administrator:
2017-02-21 18:34:22,211 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG -  * Successfully enrolled machine in realm
2017-02-21 18:34:22,216 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG - Copying new configuration to host ...
2017-02-21 18:34:22,313 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG - Full path required for exclude: net:[4026531956].
2017-02-21 18:34:23,161 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG - Service sssd.service configured to run SSSD container.
2017-02-21 18:34:23,598 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG - docker run --rm=true --privileged --net=host -v /:/host -e NAME=sssd -e IMAGE=rhel7/sssd -e HOST=/host rhel7/sssd /bin/install.sh realm join -v --membership-software=samba CENTAUR.TEST
2017-02-21 18:34:23,615 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd13 - DEBUG - Exit code: 0
2017-02-21 18:34:23,623 - sssd.testlib.common.qe_class.QeHost.atomic-00.ParamikoTransport - INFO - RUN ['systemctl', 'start', 'sssd']
2017-02-21 18:34:23,623 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd14 - DEBUG - RUN ['systemctl', 'start', 'sssd']
2017-02-21 18:34:23,669 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd14 - DEBUG - -bash: line 2: /root/multihost_tests/env.sh: No such file or directory
2017-02-21 18:34:25,239 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd14 - DEBUG - Exit code: 0
2017-02-21 18:34:35,251 - sssd.testlib.common.qe_class.QeWinHost.srv1.ParamikoTransport - INFO - RUN ['domainname']
2017-02-21 18:34:35,251 - sssd.testlib.common.qe_class.QeWinHost.srv1.cmd12 - DEBUG - RUN ['domainname']
2017-02-21 18:34:35,360 - sssd.testlib.common.qe_class.QeWinHost.srv1.cmd12 - DEBUG - TERM environment variable not set.
2017-02-21 18:34:35,360 - sssd.testlib.common.qe_class.QeWinHost.srv1.cmd12 - DEBUG - CENTAUR.TEST
2017-02-21 18:34:35,361 - sssd.testlib.common.qe_class.QeWinHost.srv1.cmd12 - DEBUG - Exit code: 0
2017-02-21 18:34:35,362 - sssd.testlib.common.qe_class.QeHost.atomic-00.ParamikoTransport - INFO - RUN ['id', 'Administrator@CENTAUR.TEST']
2017-02-21 18:34:35,362 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd15 - DEBUG - RUN ['id', 'Administrator@CENTAUR.TEST']
2017-02-21 18:34:35,654 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd15 - DEBUG - uid=1993600500(administrator@CENTAUR.TEST) gid=1993600513(domain users@CENTAUR.TEST) groups=1993600513(domain users@CENTAUR.TEST),1993600520(group policy creator owners@CENTAUR.TEST),1993600519(enterprise admins@CENTAUR.TEST),1993600512(domain admins@CENTAUR.TEST),1993600518(schema admins@CENTAUR.TEST),1993601669(myunixgroup@CENTAUR.TEST),1993601671(testgroup1@CENTAUR.TEST),1993600572(denied rodc password replication group@CENTAUR.TEST)
2017-02-21 18:34:35,654 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd15 - DEBUG - Exit code: 0
</snip>

Test case-5: Verify AD users can be queried successfully from new containers on Atomic Host

<snip>
2017-02-21 18:34:40,347 - sssd.testlib.common.qe_class.QeWinHost.srv1.cmd14 - DEBUG - RUN ['domainname']
2017-02-21 18:34:40,440 - sssd.testlib.common.qe_class.QeWinHost.srv1.cmd14 - DEBUG - CENTAUR.TEST
2017-02-21 18:34:40,442 - sssd.testlib.common.qe_class.QeWinHost.srv1.cmd14 - DEBUG - TERM environment variable not set.
2017-02-21 18:34:40,445 - sssd.testlib.common.qe_class.QeWinHost.srv1.cmd14 - DEBUG - Exit code: 0
2017-02-21 18:34:40,446 - sssd.testlib.common.qe_class.QeHost.atomic-00.ParamikoTransport - INFO - RUN ['atomic', 'install', 'rhel7/sssd', 'realm', 'join', '-v', '--membership-software=samba', 'CENTAUR.TEST']
2017-02-21 18:34:40,447 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG - RUN ['atomic', 'install', 'rhel7/sssd', 'realm', 'join', '-v', '--membership-software=samba', 'CENTAUR.TEST']
2017-02-21 18:34:42,017 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG - Initializing configuration context from host ...
2017-02-21 18:34:43,391 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG -  * Resolving: _ldap._tcp.centaur.test
2017-02-21 18:34:43,401 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG -  * Performing LDAP DSE lookup on: 192.168.122.187
2017-02-21 18:34:48,781 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG -  * Successfully discovered: CENTAUR.TEST
2017-02-21 18:34:48,785 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG -  * Required files: /usr/sbin/oddjobd, /usr/libexec/oddjob/mkhomedir, /usr/sbin/sssd, /usr/bin/net
2017-02-21 18:34:48,785 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG -  * LANG=C LOGNAME=root /usr/bin/net -s /var/cache/realmd/realmd-smb-conf.BZRLVY -U Administrator ads join CENTAUR.TEST
2017-02-21 18:34:53,062 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG - Enter Administrator's password:DNS update failed: NT_STATUS_INVALID_PARAMETER
2017-02-21 18:34:53,102 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG -
2017-02-21 18:34:53,103 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG - Using short domain name -- CENTAUR
2017-02-21 18:34:53,103 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG - Joined 'ATOMIC-00' to dns domain 'CENTAUR.TEST'
2017-02-21 18:34:53,103 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG - No DNS domain configured for atomic-00. Unable to perform DNS Update.
2017-02-21 18:34:53,103 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG -  * LANG=C LOGNAME=root /usr/bin/net -s /var/cache/realmd/realmd-smb-conf.BZRLVY -U Administrator ads keytab create
2017-02-21 18:34:54,615 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG - Enter Administrator's password:
2017-02-21 18:34:54,646 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG -  * /usr/bin/systemctl enable sssd.service
2017-02-21 18:34:54,679 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG -  * /usr/bin/systemctl restart sssd.service
2017-02-21 18:34:54,928 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG -  * /usr/bin/sh -c /usr/sbin/authconfig --update --enablesssd --enablesssdauth --enablemkhomedir --nostart && /usr/bin/systemctl enable oddjobd.service && /usr/bin/systemctl start oddjobd.service
2017-02-21 18:34:55,770 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG - Password for Administrator:
2017-02-21 18:34:55,771 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG -  * Successfully enrolled machine in realm
2017-02-21 18:34:55,774 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG - Copying new configuration to host ...
2017-02-21 18:34:55,856 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG - Full path required for exclude: net:[4026531956].
2017-02-21 18:34:56,547 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG - Service sssd.service configured to run SSSD container.
2017-02-21 18:34:56,942 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG - docker run --rm=true --privileged --net=host -v /:/host -e NAME=sssd -e IMAGE=rhel7/sssd -e HOST=/host rhel7/sssd /bin/install.sh realm join -v --membership-software=samba CENTAUR.TEST
2017-02-21 18:34:56,957 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd17 - DEBUG - Exit code: 0
2017-02-21 18:34:56,961 - sssd.testlib.common.qe_class.QeHost.atomic-00.ParamikoTransport - INFO - RUN ['systemctl', 'start', 'sssd']
2017-02-21 18:34:56,961 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd18 - DEBUG - RUN ['systemctl', 'start', 'sssd']
2017-02-21 18:34:57,006 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd18 - DEBUG - -bash: line 2: /root/multihost_tests/env.sh: No such file or directory
2017-02-21 18:34:58,500 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd18 - DEBUG - Exit code: 0
2017-02-21 18:35:08,506 - sssd.testlib.common.qe_class.QeHost.atomic-00.ParamikoTransport - INFO - RUN ['mkdir', '-p', '/root/multihost_tests/sssd-enabled']
2017-02-21 18:35:08,507 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd19 - DEBUG - RUN ['mkdir', '-p', '/root/multihost_tests/sssd-enabled']
2017-02-21 18:35:08,558 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd19 - DEBUG - -bash: line 2: /root/multihost_tests/env.sh: No such file or directory
2017-02-21 18:35:08,564 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd19 - DEBUG - Exit code: 0
2017-02-21 18:35:08,564 - sssd.testlib.common.qe_class.QeHost.atomic-00.ParamikoTransport - INFO - PUT /root/multihost_tests/sssd-enabled/Dockerfile
2017-02-21 18:35:08,606 - sssd.testlib.common.qe_class.QeHost.atomic-00.ParamikoTransport - INFO - RUN ['docker', 'build', '-t', 'sssd-enabled', 'sssd-enabled']
2017-02-21 18:35:08,606 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - RUN ['docker', 'build', '-t', 'sssd-enabled', 'sssd-enabled']
2017-02-21 18:35:08,659 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - Sending build context to Docker daemon  2.56 kB
2017-02-21 18:35:08,678 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - Step 1 : FROM rhel7
2017-02-21 18:35:08,678 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG -  ---> e8e3aaf82af5
2017-02-21 18:35:08,678 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - Step 2 : RUN yum-config-manager --disable qci-1.1-for-rhel-7-beta-rpms
2017-02-21 18:35:09,036 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG -  ---> Running in 497d7eb5a01a
2017-02-21 18:10:32,742 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - panic: standard_init_linux.go:178: exec user process caused "permission denied" [recovered]
2017-02-21 18:10:32,742 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG -         panic: standard_init_linux.go:178: exec user process caused "permission denied"
2017-02-21 18:10:32,742 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - 
2017-02-21 18:10:32,742 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - goroutine 1 [running, locked to thread]:
2017-02-21 18:10:32,742 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - panic(0x6f3000, 0xc4201173b0)
2017-02-21 18:10:32,742 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG -         /usr/lib/golang/src/runtime/panic.go:500 +0x1a1
2017-02-21 18:10:32,742 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - github.com/urfave/cli.HandleAction.func1(0xc420077748)
2017-02-21 18:10:32,742 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG -         /builddir/build/BUILD/docker-dfc4aea4ba81ecbe1ff8d58f4c4b6d192f82091b/runc-81b254244390bc636b20c87c34a3d9e1a8645069/Godeps/_workspace/src/github.com/urfave/cli/app.go:478 +0x247
2017-02-21 18:10:32,742 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - panic(0x6f3000, 0xc4201173b0)
2017-02-21 18:10:32,742 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG -         /usr/lib/golang/src/runtime/panic.go:458 +0x243
2017-02-21 18:10:32,742 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - github.com/opencontainers/runc/libcontainer.(*LinuxFactory).StartInitialization.func1(0xc420077198, 0xc42001e0c8, 0xc420077238)
2017-02-21 18:10:32,742 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG -         /builddir/build/BUILD/docker-dfc4aea4ba81ecbe1ff8d58f4c4b6d192f82091b/runc-81b254244390bc636b20c87c34a3d9e1a8645069/Godeps/_workspace/src/github.com/opencontainers/runc/libcontainer/factory_linux.go:259 +0x18f
2017-02-21 18:10:32,742 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - github.com/opencontainers/runc/libcontainer.(*LinuxFactory).StartInitialization(0xc420047590, 0xaac9c0, 0xc4201173b0)
2017-02-21 18:10:32,743 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG -         /builddir/build/BUILD/docker-dfc4aea4ba81ecbe1ff8d58f4c4b6d192f82091b/runc-81b254244390bc636b20c87c34a3d9e1a8645069/Godeps/_workspace/src/github.com/opencontainers/runc/libcontainer/factory_linux.go:277 +0x353
2017-02-21 18:10:32,743 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - main.glob..func8(0xc42007aa00, 0x0, 0x0)
2017-02-21 18:10:32,743 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG -         /builddir/build/BUILD/docker-dfc4aea4ba81ecbe1ff8d58f4c4b6d192f82091b/runc-81b254244390bc636b20c87c34a3d9e1a8645069/main_unix.go:26 +0x66
2017-02-21 18:10:32,743 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - reflect.Value.call(0x6ddd80, 0x769ce8, 0x13, 0x73c1c9, 0x4, 0xc420077708, 0x1, 0x1, 0x4d17a8, 0x732020, ...)
2017-02-21 18:10:32,743 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG -         /usr/lib/golang/src/reflect/value.go:434 +0x5c8
2017-02-21 18:10:32,743 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - reflect.Value.Call(0x6ddd80, 0x769ce8, 0x13, 0xc420077708, 0x1, 0x1, 0xac2700, 0xc4200776e8, 0x4da786)
2017-02-21 18:10:32,743 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG -         /usr/lib/golang/src/reflect/value.go:302 +0xa4
2017-02-21 18:10:32,743 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - github.com/urfave/cli.HandleAction(0x6ddd80, 0x769ce8, 0xc42007aa00, 0x0, 0x0)
2017-02-21 18:10:32,743 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG -         /builddir/build/BUILD/docker-dfc4aea4ba81ecbe1ff8d58f4c4b6d192f82091b/runc-81b254244390bc636b20c87c34a3d9e1a8645069/Godeps/_workspace/src/github.com/urfave/cli/app.go:487 +0x1e0
2017-02-21 18:10:32,743 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - github.com/urfave/cli.Command.Run(0x73c395, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x74d9d9, 0x51, 0x0, ...)
2017-02-21 18:10:32,743 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG -         /builddir/build/BUILD/docker-dfc4aea4ba81ecbe1ff8d58f4c4b6d192f82091b/runc-81b254244390bc636b20c87c34a3d9e1a8645069/Godeps/_workspace/src/github.com/urfave/cli/command.go:191 +0xc3b
2017-02-21 18:10:32,743 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - github.com/urfave/cli.(*App).Run(0xc420098000, 0xc42000c120, 0x2, 0x2, 0x0, 0x0)
2017-02-21 18:10:32,743 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG -         /builddir/build/BUILD/docker-dfc4aea4ba81ecbe1ff8d58f4c4b6d192f82091b/runc-81b254244390bc636b20c87c34a3d9e1a8645069/Godeps/_workspace/src/github.com/urfave/cli/app.go:240 +0x611
2017-02-21 18:10:32,743 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - main.main()
2017-02-21 18:10:32,743 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG -         /builddir/build/BUILD/docker-dfc4aea4ba81ecbe1ff8d58f4c4b6d192f82091b/runc-81b254244390bc636b20c87c34a3d9e1a8645069/main.go:137 +0xbd6
2017-02-21 18:10:32,942 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - The command '/bin/sh -c yum-config-manager --disable qci-1.1-for-rhel-7-beta-rpms' returned a non-zero code: 2
2017-02-21 18:10:32,943 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - 
2017-02-21 18:10:32,943 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd20 - DEBUG - Exit code: 2
</snip>



Test case-6:Disjoin Atomic Host from AD Domain using realm cli from sssd container

<snip>
2017-02-21 18:50:28,245 - sssd.testlib.common.qe_class.QeHost.atomic-00.ParamikoTransport - INFO - RUN ['atomic', 'uninstall', 'rhel7/sssd', 'realm', 'leave', '-v', '-U', 'Administrator', 'CENTAUR.TEST']
2017-02-21 18:50:28,245 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG - RUN ['atomic', 'uninstall', 'rhel7/sssd', 'realm', 'leave', '-v', '-U', 'Administrator', 'CENTAUR.TEST']
2017-02-21 18:50:29,773 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG - Initializing configuration context from host ...
2017-02-21 18:50:31,081 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG -  * LANG=C LOGNAME=root /usr/bin/net -s /var/cache/realmd/realmd-smb-conf.1H04VY -U Administrator ads leave
2017-02-21 18:50:31,306 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG - Enter Administrator's password:kerberos_kinit_password Administrator@CENTAUR.TEST failed: Preauthentication failed
2017-02-21 18:50:31,316 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG -
2017-02-21 18:50:31,316 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG - Failed to leave domain: failed to connect to AD: Preauthentication failed
2017-02-21 18:50:31,316 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG -  ! Leaving the domain centaur.test failed
2017-02-21 18:50:31,316 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG -  * Removing entries from keytab for realm
2017-02-21 18:50:31,534 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG -  * /usr/sbin/sss_cache --users --groups --netgroups --services --autofs-maps
2017-02-21 18:50:31,558 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG -  * Removing domain configuration from sssd.conf
2017-02-21 18:50:31,587 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG -  * /usr/sbin/authconfig --update --disablesssdauth --nostart
2017-02-21 18:50:32,038 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG -  * /usr/bin/systemctl disable sssd.service
2017-02-21 18:50:32,048 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG - Password for Administrator:
2017-02-21 18:50:32,048 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG -  * Successfully unenrolled machine from realm
2017-02-21 18:50:32,051 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG - Copying new configuration to host ...
2017-02-21 18:50:32,066 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG - Removing /etc/krb5.keytab
2017-02-21 18:50:32,092 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG - Removing /etc/sssd/systemctl-lite-enabled/sssd.service
2017-02-21 18:50:32,102 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG - find: 'etc/yp.conf': No such file or directory
2017-02-21 18:50:32,121 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG - Removing /var/lib/sss/pipes/private/sbus-monitor
2017-02-21 18:50:32,131 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG - Removing /var/lib/sss/pipes/private/sbus-dp_CENTAUR.TEST.66
2017-02-21 18:50:32,132 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG - Removing /var/lib/sss/pipes/private/sbus-dp_CENTAUR.TEST
2017-02-21 18:50:32,132 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG - Removing /var/lib/sss/pipes/private/pam
2017-02-21 18:50:32,132 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG - Removing /var/lib/sss/mc/passwd
2017-02-21 18:50:32,132 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG - Removing /var/lib/sss/mc/group
2017-02-21 18:50:32,132 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG - Removing /var/lib/sss/mc/initgroups
2017-02-21 18:50:32,655 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG - docker run --rm=true --privileged --net=host -v /:/host -e NAME=sssd -e IMAGE=rhel7/sssd -e HOST=/host rhel7/sssd /bin/uninstall.sh realm leave -v -U Administrator CENTAUR.TEST
2017-02-21 18:50:32,671 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd24 - DEBUG - Exit code: 0
</snip>

Test Case-7: Join Atomic host to AD domain using realm with the help of adcli

2017-02-21 18:50:18,441 - sssd.testlib.common.qe_class.QeWinHost.srv1.cmd16 - DEBUG - TERM environment variable not set.
2017-02-21 18:50:18,444 - sssd.testlib.common.qe_class.QeWinHost.srv1.cmd16 - DEBUG - Exit code: 0
2017-02-21 18:50:18,446 - sssd.testlib.common.qe_class.QeHost.atomic-00.ParamikoTransport - INFO - RUN ['docker', 'run', 'rhel7/sssd', 'ls', '/usr/sbin/adcli']
2017-02-21 18:50:18,446 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG - RUN ['docker', 'run', 'rhel7/sssd', 'ls', '/usr/sbin/adcli']
2017-02-21 18:50:18,490 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG - -bash: line 2: /root/multihost_tests/env.sh: No such file or directory
2017-02-21 18:50:19,292 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG - panic: standard_init_linux.go:178: exec user process caused "permission denied" [recovered]
2017-02-21 18:50:19,292 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG -         panic: standard_init_linux.go:178: exec user process caused "permission denied"
2017-02-21 18:50:19,292 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG -
2017-02-21 18:50:19,292 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG - goroutine 1 [running, locked to thread]:
2017-02-21 18:50:19,292 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG - panic(0x6f3000, 0xc420117650)
2017-02-21 18:50:19,292 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG -         /usr/lib/golang/src/runtime/panic.go:500 +0x1a1
2017-02-21 18:50:19,292 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG - github.com/urfave/cli.HandleAction.func1(0xc420077748)
2017-02-21 18:50:19,292 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG -         /builddir/build/BUILD/docker-dfc4aea4ba81ecbe1ff8d58f4c4b6d192f82091b/runc-81b254244390bc636b20c87c34a3d9e1a8645069/Godeps/_workspace/src/github.com/urfave/cli/app.go:478 +0x247
2017-02-21 18:50:19,292 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG - panic(0x6f3000, 0xc420117650)
2017-02-21 18:50:19,292 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG -         /usr/lib/golang/src/runtime/panic.go:458 +0x243
2017-02-21 18:50:19,292 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG - github.com/opencontainers/runc/libcontainer.(*LinuxFactory).StartInitialization.func1(0xc420077198, 0xc42001e0c8, 0xc420077238)
2017-02-21 18:50:19,292 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG -         /builddir/build/BUILD/docker-dfc4aea4ba81ecbe1ff8d58f4c4b6d192f82091b/runc-81b254244390bc636b20c87c34a3d9e1a8645069/Godeps/_workspace/src/github.com/opencontainers/runc/libcontainer/factory_linux.go:259 +0x18f
2017-02-21 18:50:19,292 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG - github.com/opencontainers/runc/libcontainer.(*LinuxFactory).StartInitialization(0xc420047590, 0xaac9c0, 0xc420117650)
2017-02-21 18:50:19,292 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG -         /builddir/build/BUILD/docker-dfc4aea4ba81ecbe1ff8d58f4c4b6d192f82091b/runc-81b254244390bc636b20c87c34a3d9e1a8645069/Godeps/_workspace/src/github.com/opencontainers/runc/libcontainer/factory_linux.go:277 +0x353
2017-02-21 18:50:19,293 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG - main.glob..func8(0xc42007aa00, 0x0, 0x0)
2017-02-21 18:50:19,293 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG -         /builddir/build/BUILD/docker-dfc4aea4ba81ecbe1ff8d58f4c4b6d192f82091b/runc-81b254244390bc636b20c87c34a3d9e1a8645069/main_unix.go:26 +0x66
2017-02-21 18:50:19,293 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG - reflect.Value.call(0x6ddd80, 0x769ce8, 0x13, 0x73c1c9, 0x4, 0xc420077708, 0x1, 0x1, 0x4d17a8, 0x732020, ...)
2017-02-21 18:50:19,293 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG -         /usr/lib/golang/src/reflect/value.go:434 +0x5c8
2017-02-21 18:50:19,293 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG - reflect.Value.Call(0x6ddd80, 0x769ce8, 0x13, 0xc420077708, 0x1, 0x1, 0xac2700, 0xc4200776e8, 0x4da786)
2017-02-21 18:50:19,293 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG -         /usr/lib/golang/src/reflect/value.go:302 +0xa4
2017-02-21 18:50:19,293 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG - github.com/urfave/cli.HandleAction(0x6ddd80, 0x769ce8, 0xc42007aa00, 0x0, 0x0)
2017-02-21 18:50:19,293 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG -         /builddir/build/BUILD/docker-dfc4aea4ba81ecbe1ff8d58f4c4b6d192f82091b/runc-81b254244390bc636b20c87c34a3d9e1a8645069/Godeps/_workspace/src/github.com/urfave/cli/app.go:487 +0x1e0
2017-02-21 18:50:19,293 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG - github.com/urfave/cli.Command.Run(0x73c395, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x74d9d9, 0x51, 0x0, ...)
2017-02-21 18:50:19,293 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG -         /builddir/build/BUILD/docker-dfc4aea4ba81ecbe1ff8d58f4c4b6d192f82091b/runc-81b254244390bc636b20c87c34a3d9e1a8645069/Godeps/_workspace/src/github.com/urfave/cli/command.go:191 +0xc3b
2017-02-21 18:50:19,293 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG - github.com/urfave/cli.(*App).Run(0xc420096000, 0xc42000c120, 0x2, 0x2, 0x0, 0x0)
2017-02-21 18:50:19,293 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG -         /builddir/build/BUILD/docker-dfc4aea4ba81ecbe1ff8d58f4c4b6d192f82091b/runc-81b254244390bc636b20c87c34a3d9e1a8645069/Godeps/_workspace/src/github.com/urfave/cli/app.go:240 +0x611
2017-02-21 18:50:19,293 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG - main.main()
2017-02-21 18:50:19,293 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG -         /builddir/build/BUILD/docker-dfc4aea4ba81ecbe1ff8d58f4c4b6d192f82091b/runc-81b254244390bc636b20c87c34a3d9e1a8645069/main.go:137 +0xbd6
2017-02-21 18:50:19,501 - sssd.testlib.common.qe_class.QeHost.atomic-00.cmd22 - DEBUG - Exit code: 2

Comment 3 Niranjan Mallapadi Raghavender 2017-02-21 13:29:16 UTC
Ran the below test cases:

Test case-1: On atomic host discover windows Domain using realm cli from sssd container:
Test case-2: Join Atomic host to Windows AD Domain using realm cli from sssd container
Test case-3: Verify sssd process type is spc_t : Failed 
Test case-4: Verify AD users can be queried successfully using id command on Atomic host
Test case-5: Verify AD users can be queried successfully from new containers on Atomic Host: Failed 
Test case-6:Disjoin Atomic Host from AD Domain using realm cli from sssd container: Failed
Test Case-7: Join Atomic host to AD domain using realm with the help of adcli

The above failed test cases seem to be failing because of BZ 1420591

Comment 4 Niranjan Mallapadi Raghavender 2017-02-26 15:56:28 UTC
With latest RHELAtomic Compose on 24th Feb
Deployments:
● rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
       Version: 7.3.3 (2017-02-25 22:58:21)
    BaseCommit: fbeed59bb47b14e32a6b28e13aaa1cad96e88188930a5bf880f949728b7f36ea
        Commit: 8a7bacdfbda0c2b83b3f253f7d19392ad2783b7e3642d421ffce38c2bbfc3c27
        OSName: rhel-atomic-host
      Packages: expect

  rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
       Version: 7.3.3 (2017-02-23 22:16:59)
        Commit: fbeed59bb47b14e32a6b28e13aaa1cad96e88188930a5bf880f949728b7f36ea
        OSName: rhel-atomic-host


Discover Windows Domain on atomic host using realm cli    Passed
Disjoin Atomic host from AD Domain using realm leave Cli  Passed
Join AD Domain using adcli as membership-software	  Passed
Query AD user using id command from new container         Passed
Query AD users using ID command	                          Passed
Realm join with membership software samba	               Passed
Verify sssd selinux label	                               Passed
Verify uninstall container leaves domain	               Fixed

Comment 6 Niranjan Mallapadi Raghavender 2017-02-27 09:34:07 UTC
Testing ipa enrollment using sssd container

Versions:
=========
[root@client1 ~]# docker load < docker-image-sha256:a853b05f683bd003e7bb78f9840456f67ca04fc2a76ec7f12e138384c5371fa0.x86_64.tar.gz
d4a580b8a12a: Loading layer [==================================================>] 202.4 MB/202.4 MB
cdbc8c87eb44: Loading layer [==================================================>] 10.24 kB/10.24 kB
27eb4fb30bb3: Loading layer [==================================================>]   174 MB/174 MB


[root@atomic-00 ~]# atomic host status
State: idle
Deployments:
● rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
       Version: 7.3.3 (2017-02-23 22:16:59)
        Commit: fbeed59bb47b14e32a6b28e13aaa1cad96e88188930a5bf880f949728b7f36ea
        OSName: rhel-atomic-host

  rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
       Version: 7.3.2-1 (2017-02-20 17:26:48)
        Commit: 69a74a4ed6954492a7c82279f6efe59bffb8952e95577f8359a6717d57a36774
        OSName: rhel-atomic-host

[root@client1 ~]# atomic install rhel7/sssd
docker run --rm=true --privileged --net=host -v /:/host -e NAME=sssd -e IMAGE=rhel7/sssd -e HOST=/host rhel7/sssd /bin/install.sh
Initializing configuration context from host ...
Client hostname: client1.testrelm.test
Realm: TESTRELM.TEST
DNS Domain: testrelm.test
IPA Server: ipa1.testrelm.test
BaseDN: dc=testrelm,dc=test
Skipping synchronizing time with NTP server.
Successfully retrieved CA cert
    Subject:     CN=Certificate Authority,O=TESTRELM.TEST
    Issuer:      CN=Certificate Authority,O=TESTRELM.TEST
    Valid From:  Mon Feb 27 04:58:34 2017 UTC
    Valid Until: Fri Feb 27 04:58:34 2037 UTC

Enrolled in IPA realm TESTRELM.TEST
Created /etc/ipa/default.conf
New SSSD config will be created
Configured sudoers in /etc/nsswitch.conf
Configured /etc/sssd/sssd.conf
Configured /etc/krb5.conf for IPA realm TESTRELM.TEST
trying https://ipa1.testrelm.test/ipa/json
Forwarding 'schema' to json server 'https://ipa1.testrelm.test/ipa/json'
trying https://ipa1.testrelm.test/ipa/session/json
Forwarding 'ping' to json server 'https://ipa1.testrelm.test/ipa/session/json'
Forwarding 'ca_is_enabled' to json server 'https://ipa1.testrelm.test/ipa/session/json'
Systemwide CA database updated.
Hostname (client1.testrelm.test) does not have A/AAAA record.
Failed to update DNS records.
Missing A/AAAA record(s) for host client1.testrelm.test: 10.65.223.74.
Incorrect reverse record(s):
10.65.223.74 is pointing to dhcp223-74.pnq.redhat.com. instead of client1.testrelm.test.
Adding SSH public key from /etc/ssh/ssh_host_rsa_key.pub
Adding SSH public key from /etc/ssh/ssh_host_ecdsa_key.pub
Adding SSH public key from /etc/ssh/ssh_host_ed25519_key.pub
Forwarding 'host_mod' to json server 'https://ipa1.testrelm.test/ipa/session/json'
Could not update DNS SSHFP records.
SSSD enabled
Configured /etc/openldap/ldap.conf
Configured /etc/ssh/ssh_config
Configured /etc/ssh/sshd_config
Configuring testrelm.test as NIS domain.

Client configuration complete.
Copying new configuration to host ...
Full path required for exclude: net:[4026531956].
Service sssd.service configured to run SSSD container.

[root@client1 ~]# docker exec -i sssd kinit admin
Password for admin@TESTRELM.TEST: Secret123

[root@client1 ~]# docker exec -i sssd klist
Ticket cache: KEYRING:persistent:0:0
Default principal: admin@TESTRELM.TEST

Valid starting     Expires            Service principal
02/27/17 09:30:28  02/28/17 09:30:20  krbtgt/TESTRELM.TEST@TESTRELM.TEST


[root@client1 ~]# atomic uninstall rhel7/sssd
docker run --rm=true --privileged --net=host -v /:/host -e NAME=sssd -e IMAGE=rhel7/sssd -e HOST=/host rhel7/sssd /bin/uninstall.sh
Initializing configuration context from host ...
Unenrolling client from IPA server
Removing Kerberos service principals from /etc/krb5.keytab
Disabling client Kerberos and LDAP configurations
Redundant SSSD configuration file /etc/sssd/sssd.conf was moved to /etc/sssd/sssd.conf.deleted
Restoring client configuration files
Unconfiguring the NIS domain.
nscd daemon is not installed, skip configuration
nslcd daemon is not installed, skip configuration
Client uninstall complete.
Copying new configuration to host ...
Removing /etc/ipa/nssdb/pwdfile.txt
Removing /etc/ipa/nssdb/secmod.db
Removing /etc/ipa/nssdb/cert8.db
Removing /etc/ipa/nssdb/key3.db
Removing /etc/ipa/ca.crt
Removing /etc/ipa/default.conf
Removing /etc/sssd/systemctl-lite-enabled/sssd.service
Removing /etc/sssd/systemctl-lite-enabled/rhel-domainname.service
Removing /etc/sssd/sssd.conf
Removing /var/lib/ipa-client/sysrestore/61e6a4d9774bae5f-nsswitch.conf
Removing /var/lib/ipa-client/sysrestore/sysrestore.index
Removing /var/lib/ipa-client/sysrestore/89b486fec2cf0d93-krb5.conf
Removing /var/lib/ipa-client/sysrestore/sysrestore.state
Removing /var/lib/ipa-client/sysrestore/208bf401895cffe0-ldap.conf
Removing /var/lib/ipa-client/sysrestore/4c33a771f394ddcf-ssh_config
Removing /var/lib/ipa-client/sysrestore/c0b99ed834bdb2c4-sshd_config
Removing /var/lib/sss/db/cache_testrelm.test.ldb
Removing /var/lib/sss/db/ccache_TESTRELM.TEST
Removing /var/lib/sss/pipes/private/sbus-dp_testrelm.test.112
Removing /var/lib/sss/pipes/private/sbus-monitor
Removing /var/lib/sss/pipes/private/sbus-dp_testrelm.test.13
Removing /var/lib/sss/pipes/private/sbus-dp_testrelm.test
Removing /var/lib/sss/pipes/private/pam
Removing /var/lib/sss/mc/passwd
Removing /var/lib/sss/mc/group

Comment 8 Niranjan Mallapadi Raghavender 2017-02-27 21:12:35 UTC
Versions:
==========
[root@client1 ~]# atomic info rhel7/sssd
Image Name: registry.access.redhat.com/rhel7/sssd:latest
BZComponent: sssd-docker
Name: rhel7/sssd
Release: 16
Version: 7.3
architecture: x86_64
authoritative-source-url: registry.access.redhat.com
build-date: 2017-02-27T11:12:37.912536
com.redhat.build-host: ip-10-29-120-150.ec2.internal
com.redhat.component: sssd-docker
description: The System Security Services Daemon (SSSD) provides a set of daemons to manage access to remote directories and authentication mechanisms. It provides Name Service Switch (NSS) and Pluggable Authentication Modules(PAM) interfaces toward the system and a pluggable back end system to connect to multiple different account sources.
distribution-scope: public
install: docker run --rm=true --privileged --net=host -v /:/host -e NAME=${NAME} -e IMAGE=${IMAGE} -e HOST=/host ${IMAGE} /bin/install.sh
io.k8s.description: The System Security Services Daemon (SSSD) provides a set of daemons to manage access to remote directories and authentication mechanisms. It provides Name Service Switch (NSS) and Pluggable Authentication Modules(PAM) interfaces toward the system and a pluggable back end system to connect to multiple different account sources.
io.k8s.display-name: System Security Services Daemon (SSSD)
io.k8s.openshift.tags: security sssd authentication authorisation LDAP kerberos krb5 Active Directory IdM
io.openshift.tags: base rhel7
name: rhel7/sssd
release: 16
run: docker run -d --restart=always --privileged --net=host --name ${NAME} -e NAME=${NAME} -e IMAGE=${IMAGE}    -v /etc/ipa/:/etc/ipa/:ro       -v /etc/krb5.conf:/etc/krb5.conf:ro     -v /etc/krb5.conf.d/:/etc/krb5.conf.d/  -v /etc/krb5.keytab:/etc/krb5.keytab:ro       -v /etc/nsswitch.conf:/etc/nsswitch.conf:ro     -v /etc/openldap/:/etc/openldap/:ro     -v /etc/pam.d/:/etc/pam.d/:ro   -v /etc/passwd:/etc/passwd.host:ro      -v /etc/pki/nssdb/:/etc/pki/nssdb/:ro   -v /etc/ssh/:/etc/ssh/:ro     -v /etc/sssd/:/etc/sssd/:ro     -v /etc/systemd/system/sssd.service.d:/etc/systemd/system/sssd.service.d:ro     -v /etc/sysconfig/authconfig:/etc/sysconfig/authconfig:ro       -v /etc/sysconfig/network:/etc/sysconfig/network:ro   -v /etc/sysconfig/sssd:/etc/sysconfig/sssd:ro   -v /etc/yp.conf:/etc/yp.conf:ro         -v /var/cache/realmd/:/var/cache/realmd/        -v /var/lib/authconfig/last/:/var/lib/authconfig/last/:ro       -v /var/lib/ipa-client/sysrestore/:/var/lib/ipa-client/sysrestore/:ro         -v /var/lib/samba/:/var/lib/samba/      -v /var/lib/sss/:/var/lib/sss/  -v /var/log/sssd/:/var/log/sssd/        -v /var/run/dbus/system_bus_socket:/var/run/dbus/system_bus_socket   ${IMAGE} /bin/run.sh
stop: docker kill -s TERM ${NAME}
summary: System Security Services Daemon (SSSD) provides centralized user authentication for Atomic Host.
uninstall: docker run --rm=true --privileged --net=host -v /:/host -e NAME=${NAME} -e IMAGE=${IMAGE} -e HOST=/host ${IMAGE} /bin/uninstall.sh
vcs-ref: 83388e642208c26b75377ef70218333d8eacd770
vcs-type: git
vendor: Red Hat, Inc.
version: 7.3


Joining to IPA Server
===================

[root@client1 sssd]# atomic install rhel7/sssd
docker run --rm=true --privileged --net=host -v /:/host -e NAME=sssd -e IMAGE=rhel7/sssd -e HOST=/host rhel7/sssd /bin/install.sh
Initializing configuration context from host ...
Client hostname: client1.testrelm.test
Realm: TESTRELM.TEST
DNS Domain: testrelm.test
IPA Server: ipa1.testrelm.test
BaseDN: dc=testrelm,dc=test
Skipping synchronizing time with NTP server.
Successfully retrieved CA cert
    Subject:     CN=Certificate Authority,O=TESTRELM.TEST
    Issuer:      CN=Certificate Authority,O=TESTRELM.TEST
    Valid From:  Mon Feb 27 04:58:34 2017 UTC
    Valid Until: Fri Feb 27 04:58:34 2037 UTC

Enrolled in IPA realm TESTRELM.TEST
Created /etc/ipa/default.conf
New SSSD config will be created
Configured sudoers in /etc/nsswitch.conf
Configured /etc/sssd/sssd.conf
Configured /etc/krb5.conf for IPA realm TESTRELM.TEST
trying https://ipa1.testrelm.test/ipa/json
Forwarding 'schema' to json server 'https://ipa1.testrelm.test/ipa/json'
trying https://ipa1.testrelm.test/ipa/session/json
Forwarding 'ping' to json server 'https://ipa1.testrelm.test/ipa/session/json'
Forwarding 'ca_is_enabled' to json server 'https://ipa1.testrelm.test/ipa/session/json'
Systemwide CA database updated.
Hostname (client1.testrelm.test) does not have A/AAAA record.
Incorrect reverse record(s):
10.65.223.74 is pointing to dhcp223-74.pnq.redhat.com. instead of client1.testrelm.test.
Adding SSH public key from /etc/ssh/ssh_host_rsa_key.pub
Adding SSH public key from /etc/ssh/ssh_host_ecdsa_key.pub
Adding SSH public key from /etc/ssh/ssh_host_ed25519_key.pub
Forwarding 'host_mod' to json server 'https://ipa1.testrelm.test/ipa/session/json'
SSSD enabled
Configured /etc/openldap/ldap.conf
Configured /etc/ssh/ssh_config
Configured /etc/ssh/sshd_config
Configuring testrelm.test as NIS domain.
Client configuration complete.

Copying new configuration to host ...
Full path required for exclude: net:[4026531956].
Service sssd.service configured to run SSSD container.
[root@client1 sssd]# systemctl restart sssd


selinux sssd process label
==========================
[root@client1 ~]# ps -efZ | grep sssd
system_u:system_r:spc_t:s0      root      12975  12959  0 21:01 ?        00:00:00 tail -f /var/log/sssd/systemctl.log
system_u:system_r:spc_t:s0      root      12980  12959  0 21:01 ?        00:00:00 /usr/sbin/sssd -D -f
system_u:system_r:spc_t:s0      root      12981  12980  0 21:01 ?        00:00:00 /usr/libexec/sssd/sssd_be --domain testrelm.test --uid 0 --gid 0 --debug-to-files
system_u:system_r:spc_t:s0      root      12982  12980  0 21:01 ?        00:00:00 /usr/libexec/sssd/sssd_nss --uid 0 --gid 0 --debug-to-files
system_u:system_r:spc_t:s0      root      12983  12980  0 21:01 ?        00:00:00 /usr/libexec/sssd/sssd_sudo --uid 0 --gid 0 --debug-to-files
system_u:system_r:spc_t:s0      root      12984  12980  0 21:01 ?        00:00:00 /usr/libexec/sssd/sssd_pam --uid 0 --gid 0 --debug-to-files
system_u:system_r:spc_t:s0      root      12985  12980  0 21:01 ?        00:00:00 /usr/libexec/sssd/sssd_ssh --uid 0 --gid 0 --debug-to-files
system_u:system_r:spc_t:s0      root      12986  12980  0 21:01 ?        00:00:00 /usr/libexec/sssd/sssd_pac --uid 0 --gid 0 --debug-to-files
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 root 13021 12338  0 21:02 pts/0 00:00:00 grep --color=auto sssd


Kinit and klist from sssd container
===================================

[root@client1 ~]# docker exec -i sssd kinit admin
Password for admin@TESTRELM.TEST: Secret123

[root@client1 ~]# docker exec -i sssd klist
Ticket cache: KEYRING:persistent:0:0
Default principal: admin@TESTRELM.TEST

Valid starting     Expires            Service principal
02/27/17 21:03:38  02/28/17 21:03:34  krbtgt/TESTRELM.TEST@TESTRELM.TEST

Unenrolling ipa-client(sssd container) from ipa server
=====================================================
[root@client1 ~]# atomic uninstall rhel7/sssd
docker run --rm=true --privileged --net=host -v /:/host -e NAME=sssd -e IMAGE=rhel7/sssd -e HOST=/host rhel7/sssd /bin/uninstall.sh
Initializing configuration context from host ...
Unenrolling client from IPA server
Removing Kerberos service principals from /etc/krb5.keytab
Disabling client Kerberos and LDAP configurations
Redundant SSSD configuration file /etc/sssd/sssd.conf was moved to /etc/sssd/sssd.conf.deleted
Restoring client configuration files
Unconfiguring the NIS domain.
nscd daemon is not installed, skip configuration
nslcd daemon is not installed, skip configuration
Client uninstall complete.
Copying new configuration to host ...
Removing /etc/ipa/nssdb/pwdfile.txt
Removing /etc/ipa/nssdb/secmod.db
Removing /etc/ipa/nssdb/cert8.db
Removing /etc/ipa/nssdb/key3.db
Removing /etc/ipa/ca.crt
Removing /etc/ipa/default.conf
Removing /etc/sssd/systemctl-lite-enabled/sssd.service
Removing /etc/sssd/systemctl-lite-enabled/rhel-domainname.service
Removing /etc/sssd/sssd.conf
Removing /var/lib/ipa-client/sysrestore/65025ae252f44558-nsswitch.conf
Removing /var/lib/ipa-client/sysrestore/sysrestore.index
Removing /var/lib/ipa-client/sysrestore/9ea97dd581cf7ef1-krb5.conf
Removing /var/lib/ipa-client/sysrestore/sysrestore.state
Removing /var/lib/ipa-client/sysrestore/ce2a9e676193f6d7-ldap.conf
Removing /var/lib/ipa-client/sysrestore/525dd6083293199f-ssh_config
Removing /var/lib/ipa-client/sysrestore/f72671371fb826c8-sshd_config
Removing /var/lib/sss/db/cache_testrelm.test.ldb
Removing /var/lib/sss/db/ccache_TESTRELM.TEST
Removing /var/lib/sss/pipes/private/sbus-dp_testrelm.test.119
Removing /var/lib/sss/pipes/private/sbus-monitor
Removing /var/lib/sss/pipes/private/sbus-dp_testrelm.test.13
Removing /var/lib/sss/pipes/private/sbus-dp_testrelm.test
Removing /var/lib/sss/pipes/private/pam
Removing /var/lib/sss/mc/passwd
Removing /var/lib/sss/mc/group

Comment 9 Niranjan Mallapadi Raghavender 2017-02-27 21:41:47 UTC
Testing sssd container realmd part joining to Windows 2012r2.


IDM-SSSD-TC: SSSD-Container: Discover Windows Domain on atomic host using realm cli	Passed
IDM-SSSD-TC: SSSD-Container: Disjoin Atomic host from AD Domain using realm leave Cli	Passed
IDM-SSSD-TC: SSSD-Container: Join AD Domain using adcli as membership-software		Passed
IDM-SSSD-TC: SSSD-Container: Query AD user using id command from new container		Passed
IDM-SSSD-TC: SSSD-Container: Query AD users using ID command				Passed
IDM-SSSD-TC: SSSD-Container: Realm join with membership software samba			Passed
IDM-SSSD-TC: SSSD-Container: Verify sssd selinux label					Passed
IDM-SSSD-TC: SSSD-Container: Verify uninstall container leaves domain			Passed

Comment 12 Niranjan Mallapadi Raghavender 2017-02-27 21:55:18 UTC
Please note the ipa enrollment tests done using sssd-docker-7.3.16 was also done on latest atomic host (bfc591ba1a4395c6b8e54d34964b05df4a61e0d82d20cc1a2fd817855c7e2da5)

● rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
       Version: 7.3.3 (2017-02-27 16:31:38)
        Commit: bfc591ba1a4395c6b8e54d34964b05df4a61e0d82d20cc1a2fd817855c7e2da5
        OSName: rhel-atomic-host

  rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
       Version: 7.3.3 (2017-02-23 22:16:59)
        Commit: fbeed59bb47b14e32a6b28e13aaa1cad96e88188930a5bf880f949728b7f36ea
        OSName: rhel-atomic-host

Comment 17 errata-xmlrpc 2017-03-02 20:09:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0427


Note You need to log in before you can comment on or make changes to this bug.